# $Revision: 1.15 $, $Date: 2010/05/03 22:56:50 $
#
# Conditional build:
%bcond_with	javadoc		# don't build javadoc
%bcond_with	tests		# don't build and run tests

%include	/usr/lib/rpm/macros.java

%define		srcname		commons-chain
Summary:	"Chain of Responsibility" pattern implemention
Name:		java-commons-chain
Version:	1.2
Release:	6
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/chain/source/commons-chain-%{version}-src.tar.gz
# Source0-md5:	a94fef07630d88c859fb8397ddbcb6ba
Patch0:		%{name}-notests.patch
URL:		http://commons.apache.org/chain
BuildRequires:	ant
BuildRequires:	java(jsf) = 1.1
BuildRequires:	java-commons-digester >= 1.8
BuildRequires:	java-commons-logging
BuildRequires:	java-pluto
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
%if %{with tests}
BuildRequires:	ant-junit
BuildRequires:	java-commons-beanutils
BuildRequires:	java-commons-collections
BuildRequires:	java-junit
%endif
BuildRequires:	java(servlet)
BuildRequires:	sed >= 4
Requires:	java(jsf) = 1.1
Requires:	java(servlet)
Requires:	java-commons-digester >= 1.8
Requires:	java-commons-logging
Requires:	java-pluto
Requires:	jpackage-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"Chain of Responsibility" pattern implemention.

%package doc
Summary:	Manual for %{name}
Summary(fr.UTF-8):	Documentation pour %{name}
Summary(it.UTF-8):	Documentazione di %{name}
Summary(pl.UTF-8):	Podręcznik dla %{name}
Group:		Documentation

%description doc
Documentation for %{name}.

%description doc -l fr.UTF-8
Documentation pour %{name}.

%description doc -l it.UTF-8
Documentazione di %{name}.

%description doc -l pl.UTF-8
Dokumentacja do %{name}.

%package javadoc
Summary:	Online manual for %{name}
Summary(pl.UTF-8):	Dokumentacja online do %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Documentation for %{name}.

%description javadoc -l pl.UTF-8
Dokumentacja do %{name}.

%description javadoc -l fr.UTF-8
Javadoc pour %{name}.

%package demo
Summary:	Demo for %{name}
Summary(pl.UTF-8):	Pliki demonstracyjne dla pakietu %{name}
Group:		Development/Languages/Java
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%description demo -l pl.UTF-8
Pliki demonstracyjne i przykłady dla pakietu %{name}.

%package manual
Summary:	Tutorial for %{name}
Group:		Documentation

%description manual
Manual for %{name}.

%prep
%setup -q -n %{srcname}-%{version}-src

%{__sed} -i -e 's,\r$,,' build.xml
%patch0 -p1

%build
export JAVA_HOME="%{java_home}"

required_jars="servlet-api commons-logging commons-digester portlet-api-1.0 faces-api-1.1"
%if %{with tests}
required_jars=$required_jars" junit commons-collections commons-beanutils-core"
%endif

CLASSPATH=$(build-classpath $required_jars):target/classes:target/test-classes

export LC_ALL=en_US # source code not US-ASCII

%ant -Dbuild.sysclasspath=only %{?with_tests:test} jar %{?with_javadoc:javadoc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# jars
cp -a target/%{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-chain.spec,v $
Revision 1.15  2010/05/03 22:56:50  pawelz
- updated deps
- rel 6

Revision 1.14  2010/05/03 13:59:30  pawelz
- rel 5

Revision 1.13  2010/04/18 14:03:24  pawelz
- don't force specific jdk
- unify java api deps

Revision 1.12  2009/11/30 08:41:07  pawelz
- Poldek seems to have problems with resolving java(Portlet) dependency.
  Replaced with java-pluto

Revision 1.11  2009/11/22 00:25:58  pawelz
- undos build.xml before patching

Revision 1.10  2009/11/21 23:50:36  pawelz
- Disable tests. They are incompatibile with servlet 2.5.

Revision 1.9  2009/09/09 13:59:54  pawelz
- require java(Servlet) = 2.4 (it does not build with newer)

Revision 1.8  2009/08/21 07:25:10  pawelz
- correct name for servlet-api jar
- s/junit/java-junit/

Revision 1.7  2009/08/21 07:21:36  pawelz
- unified java deps
- removed some comments from template.spec
- sorted BRs
- rel 3

Revision 1.6  2009/05/18 10:11:36  pawelz
- R/BR: servlet
- rel 2

Revision 1.5  2009/04/10 12:05:37  pawelz
- sorted deps
- rel 1

Revision 1.4  2009/04/10 12:04:31  pawelz
- better deps
- finished %%instal and %%files
- javadoc is broken, so disabled by default

Revision 1.3  2009/04/09 21:44:01  pawelz
- BR java-commons-digester >= 1.8
- R := BR
- CLASSPATH += faces-api-1.1

Revision 1.2  2009/04/09 15:23:37  pawelz
- require any JSF 1.1 implementation.

Revision 1.1  2009/04/09 14:32:30  pawelz
- initial PLD release
- NFY

